# $Revision: 1.29 $, $Date: 2005/12/30 13:31:52 $
# TODO:
# - external expat

%define		short_name	4Suite
Summary:	XML processing tools
Summary(pl):	Narzdzia do przetwarzania XML-a
Name:		python-%{short_name}
Version:	1.0
%define	_rc	b1
Release:	0.%{_rc}.1
License:	Custom
Group:		Development/Libraries
Source0:	ftp://ftp.4suite.org/pub/4Suite/%{short_name}-%{version}%{_rc}.tar.bz2
# Source0-md5:	d512d79dcbe08584d0b5ba4c9704a820
Patch0:		%{name}-root.patch
URL:		http://4suite.org/
BuildRequires:	python-devel >= 2.0
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	4Suite

%description
4Suite is a collection of Python tools for XML processing and object
database management. It provides support for XML parsing, several
transient and persistent DOM implementations, XPath expressions,
XPointer, XSLT transforms, XLink, RDF and ODMG object databases

%description -l pl
4Suite do zestaw narzdzi Python'a do przetwarzania XML-a i
zarzdzania baz danych obiektw. Dostarcza wsparcie dla analizy
skadniowej XML-a, kilku implementacji DOM, wyrae XPath, XPointer,
przeksztace XSLT, baz danych obiektw RDF i ODMG.

%package examples
Summary:	4Suite examples
Summary(pl):	Przykady uycia 4Suite
Group:		Development/Libraries
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description examples
Examples of 4Suite.

%description examples -l pl
Przykady uycia 4Suite.

%prep
%setup -q -n %{short_name}-%{version}%{_rc}
%patch0 -p1

python -c 'from distutils.util import get_platform; import sys; print "[%s-%.3s]" % (get_platform(), sys.version)' > config.cache
cat >> config.cache <<EOF
docdir = %{_datadir}/doc/%{name}-%{version}
pythonlibdir = %{py_sitedir}
sysconfdir = %{_sysconfdir}
exec_prefix =
libdir = %{_libdir}/%{short_name}
datadir = %{_datadir}/%{short_name}
localedir = %{_datadir}/locale
localstatedir = %{_var}/lib/%{short_name}
prefix =
bindir = %{_bindir}
EOF

%build
CFLAGS="%{rpmcflags}" python setup.py build

grep -q "/usr/local" config.cache && exit 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT
%py_comp $RPM_BUILD_ROOT
%py_postclean

cp -a demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}
cp -a profile $RPM_BUILD_ROOT%{_examplesdir}/%{name}
cp -a test $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/xml
%{py_sitedir}/Ft
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/4ss.conf
%{_libdir}/4Suite
%{_datadir}/4Suite
%{_var}/lib/4Suite

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-4Suite.spec,v $
Revision 1.29  2005/12/30 13:31:52  arekm
- drop test part

Revision 1.28  2005/12/30 13:20:46  arekm
- one more fix

Revision 1.27  2005/12/30 12:14:37  arekm
- fixed

Revision 1.26  2005/12/30 11:48:58  arekm
- --root still needs to be solved

Revision 1.25  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.24  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.23  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.22  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.21  2003/09/04 13:57:59  qboosh
- uncommented clean, fixed md5

Revision 1.20  2003/09/04 11:45:01  radzio
- 1.0-0.20030808.1

Revision 1.19  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/07 00:02:31  radzio
- -a5

Revision 1.17  2003/08/06 21:29:14  radzio
- updated to 1.0-0.20030806.1

Revision 1.16  2003/05/28 13:01:27  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/02 22:08:46  ankry
- pl Summary/description fixes
- adapterized

Revision 1.13  2002/10/24 12:18:15  qboosh
- updated install and files - builds now

Revision 1.12  2002/10/24 11:38:50  wrobell
- ver. 0.12.0a3

Revision 1.11  2002/07/01 12:19:12  kloczek
- release 2,
- use new %doc,
- 4Suite added to Obsolets (for allow upgrade from RH).

Revision 1.10  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 16:40:11  gotar
- added/fixed polish %descriptions.

Revision 1.7  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.5  2001/11/11 19:13:31  wrobell
- fixed requirements

Revision 1.4  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.3  2001/10/21 18:20:22  kloczek
- cosmetics.

Revision 1.2  2001/10/21 15:37:02  misiek
- buildrequires: python-PyXML

Revision 1.1  2001/10/19 17:30:09  jajcus
- new spec
